Module org.hsqldb
Package org.hsqldb.lib

## Class FileAccessRes

- java.lang.Object
- - org.hsqldb.lib.FileAccessRes

- All Implemented Interfaces:
    `FileAccess`

      public class FileAccessRes
      extends java.lang.Object
      implements FileAccess

  Implementation of FileAccess for resources.
  Since:
    1.8.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.hsqldb.lib.FileAccess

      `FileAccess.FileSync`

  - ### Field Summary

    - ### Fields inherited from interface org.hsqldb.lib.FileAccess

      `ELEMENT_READ, ELEMENT_READWRITE, ELEMENT_SEEKABLEREAD, ELEMENT_TRUNCATE, ELEMENT_WRITE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileAccessRes()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createParentDirs​(java.lang.String filename)` |
    `FileAccess.FileSync` | `getFileSync​(java.io.OutputStream os)` |
    `boolean` | `isStreamElement​(java.lang.String fileName)` |
    `java.io.InputStream` | `openInputStreamElement​(java.lang.String fileName)` |
    `java.io.OutputStream` | `openOutputStreamElement​(java.lang.String streamName)` |
    `java.io.OutputStream` | `openOutputStreamElementAppend​(java.lang.String streamName)` |
    `boolean` | `removeElement​(java.lang.String filename)` |
    `boolean` | `renameElement​(java.lang.String oldName, java.lang.String newName)` |
    `boolean` | `renameElementOrCopy​(java.lang.String oldName, java.lang.String newName, EventLogInterface logger)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileAccessRes

          public FileAccessRes()

  - ### Method Detail

    - #### isStreamElement

          public boolean isStreamElement​(java.lang.String fileName)

      Specified by:
        `isStreamElement` in interface `FileAccess`

    - #### openInputStreamElement

          public java.io.InputStream openInputStreamElement​(java.lang.String fileName)
                                                     throws java.io.IOException

      Specified by:
        `openInputStreamElement` in interface `FileAccess`
      Throws:
        `java.io.IOException`

    - #### createParentDirs

          public void createParentDirs​(java.lang.String filename)

      Specified by:
        `createParentDirs` in interface `FileAccess`

    - #### removeElement

          public boolean removeElement​(java.lang.String filename)

      Specified by:
        `removeElement` in interface `FileAccess`

    - #### renameElement

          public boolean renameElement​(java.lang.String oldName,
                                       java.lang.String newName)

      Specified by:
        `renameElement` in interface `FileAccess`

    - #### renameElementOrCopy

          public boolean renameElementOrCopy​(java.lang.String oldName,
                                             java.lang.String newName,
                                             EventLogInterface logger)

      Specified by:
        `renameElementOrCopy` in interface `FileAccess`

    - #### openOutputStreamElement

          public java.io.OutputStream openOutputStreamElement​(java.lang.String streamName)
                                                       throws java.io.IOException

      Specified by:
        `openOutputStreamElement` in interface `FileAccess`
      Throws:
        `java.io.IOException`

    - #### openOutputStreamElementAppend

          public java.io.OutputStream openOutputStreamElementAppend​(java.lang.String streamName)
                                                             throws java.io.IOException

      Specified by:
        `openOutputStreamElementAppend` in interface `FileAccess`
      Throws:
        `java.io.IOException`

    - #### getFileSync

          public FileAccess.FileSync getFileSync​(java.io.OutputStream os)
                                          throws java.io.IOException

      Specified by:
        `getFileSync` in interface `FileAccess`
      Throws:
        `java.io.IOException`